import matplotlib.pyplot as plt
import matplotlib.colors as mcolors
import matplotlib
import numpy as np
plt.rcParams["font.family"] = "Times New Roman"
matplotlib.rcParams.update({'font.size': 11}) 
plt.rcParams['hatch.linewidth'] = 0.3

shot=[1,2,3,5,10] 
fewshot_classify=[41.90,42.86,43.88,48.98,38.78 ]		
fewshot_cot_classify=[48.98,52.04,45.92,43.88,50.00 ]
MACCOT_r=[56.25,60.20,61.46,56.25,61.22 ]
MACCOT_b=[60.83,61.22,62.24,60.20,65.31 ]
cols = ['#14213d', '#023e8a','#00b4d8','#2a9d8f']

plt.figure(figsize=(6,4))
plt.plot(shot, MACCOT_b, 'd-', label='Mac-CoT (boundary)', color=cols[0], linewidth=1,markersize=3)
plt.plot(shot, MACCOT_r, '^-', label='Mac-CoT (random)', color=cols[1], linewidth=1,markersize=3)
plt.plot(shot, fewshot_cot_classify, 's-', label='Few-Shot-CoT', color=cols[2], linewidth=1,markersize=3)
plt.plot(shot, fewshot_classify, 'o-', label='Few-Shot',  color=cols[3], linewidth=1,markersize=3)
plt.xlabel('Shot Number', fontweight='bold',fontsize=16)
plt.xticks(fontsize=16)
plt.yticks(fontsize=16)
plt.ylabel('Accuracy (%)', fontweight='bold',fontsize=16)
# plt.title('Accuracy Performance for Different Few Shot Number.')
plt.legend()
plt.tight_layout()
plt.grid(ls = "--", lw = 0.5, color = "#4E616C")
plt.savefig('fewshot.pdf')
